Name:		openshot
Version:	1.4.3
Release:	%mkrel 2
Summary:	Simple and Powerful video editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://www.openshot.org/
Source0:	http://launchpad.net/openshot/%{major}/%{version}/+download/openshot-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
Requires:	python-mlt
Requires:	pygoocanvas
Requires:	pygtk2 pygtk2.0-libglade
Requires:	python-imaging
Requires:	python-pyxdg
Requires:	python-httplib2
Requires:	frei0r-plugins
Suggests:	blender

%description
OpenShot Video Editor is a free, open-source, non-linear video editor, based on
Python, GTK, MLT and frei0r. It can edit video and audio files, composite and 
transition video files, and mix multiple layers of video and audio together and 
render the output in many different formats.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="%optflags" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# Remove unnecessary file
%{__rm} %{buildroot}/%{_usr}/lib/mime/packages/openshot

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}/%{python_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

%files
%doc README COPYING AUTHORS 
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*
%{python_sitelib}/%{name}
%{python_sitelib}/*egg-info
%{_mandir}/man*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 362144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 dams <dams> 1.4.3-1.mga3
+ Revision: 302216
- new version 1.4.3

* Fri Sep 28 2012 dams <dams> 1.4.2-3.mga3
+ Revision: 298857
- update %%Group for new policy
- add blender as a suggests (for 3d titles)

* Mon Sep 10 2012 dams <dams> 1.4.2-2.mga3
+ Revision: 291799
- frei0r is now a require and no more a suggest to be on ISOs (mga#7325)

* Mon Feb 06 2012 fwang <fwang> 1.4.2-1.mga2
+ Revision: 205207
- new version 1.4.2

* Tue Oct 04 2011 dams <dams> 1.4.0-1.mga2
+ Revision: 151492
- update to 1.4.0
- update specfile (major/minor)
- update summary and description

  + ahmad <ahmad>
    - Only suggest frei0r-plugins

* Thu Jun 09 2011 dams <dams> 1.3.1-2.mga2
+ Revision: 102367
- add a require on frei0r-plugins'

* Tue May 17 2011 dams <dams> 1.3.1-1.mga1
+ Revision: 99466
- update to 1.3.1

* Sat Apr 23 2011 ahmad <ahmad> 1.3.0-3.mga1
+ Revision: 89867
- Require python-pyxdg and python-httplib2 (mga#903)

* Wed Apr 20 2011 rtp <rtp> 1.3.0-2.mga1
+ Revision: 89023
- Add missing require on python-imaging (bug #903)

* Thu Mar 24 2011 dmorgan <dmorgan> 1.3.0-1.mga1
+ Revision: 77035
- Fix file list

  + dams <dams>
    - Clean spec file and update to 1.3.0

* Thu Feb 10 2011 steletch <steletch> 1.2.2-2.mga1
+ Revision: 49885
- imported package openshot

